#include "FiveWin.ch"
#include "Folder.ch"
#include "Visual.ch"

//----------------------------------------------------------------------------//

function ReportNew()

   ReportOpen()

return nil

//----------------------------------------------------------------------------//

function ReportOpen()

   local oDlg, oFld
   local cTitle := Space( 60 )
   local lDate  := .t., lTime := .t., lPreview := .t.

   DEFINE DIALOG oDlg RESOURCE "Report"

   REDEFINE FOLDER oFld ID 110 OF oDlg ;
      PROMPTS "&Title/Header", "&Columns", "&Groups", "&Footer", "&Events" ;
      DIALOGS "RepHeader", "RepColumns", "RepGroups", "RepFooter", "RepEvents"

   REDEFINE GET      cTitle   ID ID_TITLE   OF oFld:aDialogs[ 1 ] MEMO
   REDEFINE CHECKBOX lDate    ID ID_DATE    OF oFld:aDialogs[ 1 ]
   REDEFINE CHECKBOX lTime    ID ID_TIME    OF oFld:aDialogs[ 1 ]
   REDEFINE CHECKBOX lPreview ID ID_PREVIEW OF oFld:aDialogs[ 1 ]

   ACTIVATE DIALOG oDlg CENTERED

return nil

//----------------------------------------------------------------------------//
